GWText Class Reference

the main class to read the text part of GreatWorks Text file More...

`#include <GWText.hxx>`

## Public Member Functions

| GWText (GWParser &parser)
| constructor More...
virtual | ~GWText ()
| destructor More...
int | version () const
| returns the file version More...
int | numPages () const
| returns the number of pages More...

## Protected Member Functions

bool | createZones (int expectedHF)
| finds the different objects zones More...
bool | sendMainText ()
| send a main zone More...
int | numHFZones () const
| return the number of header/footer zones More...
bool | sendHF (int id)
| try to send the i^th header/footer More...
bool | sendTextbox (MWAWEntry const &entry)
| try to send the textbox text More...
void | flushExtra ()
| sends the data which have not yet been sent to the listener More...
bool | readFontNames ()
| try to read the font names zone More...
bool | readZone (GWTextInternal::Zone &zone)
| try to read a zone ( textheader+fonts+rulers) More...
bool | readZonePositions (GWTextInternal::Zone &zone)
| try to read the end of a zone ( line + frame position ) More...
bool | sendZone (GWTextInternal::Zone const &zone)
| try to send a zone More...
bool | sendSimpleTextbox (MWAWEntry const &entry)
| try to send simplified textbox zone More...
bool | readFont (MWAWFont &font)
| try to read a font More...
bool | readRuler (MWAWParagraph &para)
| try to read a ruler More...
bool | readToken (GWTextInternal::Token &token, long &nChar)
| try to read a token More...
bool | findNextZone ()
| heuristic function used to find the next zone More...

## Protected Attributes

MWAWParserStatePtr | m_parserState
| the parser state More...
shared_ptr< GWTextInternal::State > | m_state
| the state More...
GWParser * | m_mainParser
| the main parser; More...

## Private Member Functions

| GWText (GWText const &orig)
GWText & | operator= (GWText const &orig)

## Friends

class | GWParser

## Detailed Description

the main class to read the text part of GreatWorks Text file

## Constructor & Destructor Documentation

GWText::GWText | ( | GWParser & | parser | ) |

constructor

GWText::~GWText | ( |  | ) |

virtual

destructor

GWText::GWText | ( | GWText const & | orig | ) |

private

## Member Function Documentation

bool GWText::createZones | ( | int | expectedHF | ) |

protected

finds the different objects zones

bool GWText::findNextZone | ( |  | ) |

protected

heuristic function used to find the next zone

Referenced by createZones().

void GWText::flushExtra | ( |  | ) |

protected

sends the data which have not yet been sent to the listener

int GWText::numHFZones | ( |  | ) | const

protected

return the number of header/footer zones

int GWText::numPages | ( |  | ) | const

returns the number of pages

GWText& GWText::operator= | ( | GWText const & | orig | ) |

private

bool GWText::readFont | ( | MWAWFont & | font | ) |

protected

try to read a font

Referenced by readZone().

bool GWText::readFontNames | ( |  | ) |

protected

try to read the font names zone

Referenced by createZones().

bool GWText::readRuler | ( | MWAWParagraph & | para | ) |

protected

try to read a ruler

Referenced by readZone().

bool GWText::readToken | ( | GWTextInternal::Token & | token,
|  | long & | nChar
| ) |  |

protected

try to read a token

Referenced by readZone().

bool GWText::readZone | ( | GWTextInternal::Zone & | zone | ) |

protected

try to read a zone ( textheader+fonts+rulers)

Referenced by createZones(), findNextZone(), and sendTextbox().

bool GWText::readZonePositions | ( | GWTextInternal::Zone & | zone | ) |

protected

try to read the end of a zone ( line + frame position )

Referenced by readZone().

bool GWText::sendHF | ( | int | id | ) |

protected

try to send the i^th header/footer

bool GWText::sendMainText | ( |  | ) |

protected

send a main zone

bool GWText::sendSimpleTextbox | ( | MWAWEntry const & | entry | ) |

protected

try to send simplified textbox zone

Referenced by sendTextbox().

bool GWText::sendTextbox | ( | MWAWEntry const & | entry | ) |

protected

try to send the textbox text

bool GWText::sendZone | ( | GWTextInternal::Zone const & | zone | ) |

protected

try to send a zone

Referenced by flushExtra(), sendHF(), sendMainText(), and sendTextbox().

int GWText::version | ( |  | ) | const

returns the file version

## Friends And Related Function Documentation

friend class GWParser

friend

## Member Data Documentation

GWParser* GWText::m_mainParser

protected

the main parser;

Referenced by sendZone().

MWAWParserStatePtr GWText::m_parserState

protected

the parser state

Referenced by createZones(), findNextZone(), flushExtra(), readFont(), readFontNames(), readRuler(), readToken(), readZone(), readZonePositions(), sendSimpleTextbox(), sendTextbox(), sendZone(), and version().

shared_ptr<GWTextInternal::State> GWText::m_state

protected

the state

Referenced by createZones(), flushExtra(), numHFZones(), numPages(), readFont(), readFontNames(), sendHF(), sendMainText(), sendSimpleTextbox(), and version().

The documentation for this class was generated from the following files:

- GWText.hxx
- GWText.cxx